---
sidebar_position: 9
description: Revoke admin rights and other functions to work with GreenMax in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenMax]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Revoke admin rights
 Revokes administrator rights from the specified group chat member



`Function RevokeAdminRights(Val AccessParameters, Val ChatID, Val MemberID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | AccessParameters | --access | Structure Of KeyAndValue | &#x2714; | Access parameters. See FormAccessParameters |
  | ChatID | --chat | String | &#x2714; | Group chat ID |
  | MemberID | --member | String | &#x2714; | Member ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Green API

:::tip
Method at API documentation: [RemoveAdmin](https://green-api.com/v3/docs/api/groups/RemoveAdmin/)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    ApiUrl           = "https://3100.api.green-api.com/v3";
    MediaUrl         = "https://3100.api.green-api.com/v3";
    IdInstance       = "31003...";
    ApiTokenInstance = "17915d8e0b4b4975a183478da...";

    ChatID   = 12345678;
    MemberID = 87654321;

    AccessParameters = OPI_GreenMax.FormAccessParameters(ApiUrl, MediaUrl, IdInstance, ApiTokenInstance);
    Result           = OPI_GreenMax.RevokeAdminRights(AccessParameters, ChatID, MemberID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint greenmax RevokeAdminRights \
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" \
             --chat "***" \
             --member "89974336"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint greenmax RevokeAdminRights ^
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" ^
             --chat "***" ^
             --member "89974336"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "removeAdmin": true
}
```
